svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg" viewbox='0 0 100 100')
  state
    transition(duration="250ms")
    computed(name="computeNumber" min="0" max="100" type="number" initial="0" onupdate='computeNumber')
      relation(query-selector='#rect' attribute-type='CSS' attribute-name='width' from='0%' to='100%')
    computed(name="computeNumberCall" min="0" max="100" type="number" initial="0" onupdate='computeNumber($state)')
      relation(query-selector='#rect2' attribute-type='CSS' attribute-name='width' from='0%' to='100%')
    computed#computeNumberInline(name="computeNumberInline" min="0" max="100" type="number" initial="0" onupdate='$state.range + 1')
      relation(query-selector='#rect3' attribute-type='CSS' attribute-name='width' from='0%' to='100%')
    computed#computeNumberDOM(name="computeNumberDOM" min="0" max="100" type="number" initial="0")
      relation(query-selector='#rect4' attribute-type='CSS' attribute-name='width' from='0%' to='100%')
    computed#computeNumberThis(name="computeNumberThis" min="0" max="100" type="number" initial="0" onupdate='(this.myProp || 0)')
      relation(query-selector='#rect5' attribute-type='CSS' attribute-name='width' from='0%' to='100%')

    property(name="range" min="0" max="100" type="number" initial="0")

  rect#rect(y="5" height="10" style="fill:red;")
  rect#rect2(y="20" height="10" style="fill:blue;")
  rect#rect3(y="35" height="10" style="fill:red;")
  rect#rect4(y="50" height="10" style="fill:blue;")
  rect#rect5(y="65" height="10" style="fill:red;")
script.
  window.computeNumber = function computeNumber(state) {
    return state.range + 1;
  }
